## wine-unstable 1.5.12

=== debian/changelog ===
wine-unstable (1.5.12-0+zlt1) unstable; urgency=low

  * Non-maintainer upload.
  * source format 3.0 (quilt)
  * wine-1.5.12
  * debian/patches:
    - add raw3.patch
    - add raw3-make_requests.patch (too lazy to change debian/rules :P)
  * debian/rules: quick fix install by appending $VERSUFFIX to usr/share/wine

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Fri, 07 Sep 2012 02:47:00 +0400

wine-unstable (1.5.6-2) unstable; urgency=low

  * Use the wine64-bin helper instead of wine64-bin-unstable
   (closes: #679490).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 12 Jul 2012 17:15:08 -0400

wine-unstable (1.5.6-1) unstable; urgency=medium

  * New upstream release 1.5.6, released Jun 8, 2012.
    - Automatic installation of the Mono add-on package.
    - Control panel applet for joysticks.
    - Device bitmap rendering now done through the DIB engine.
    - Support for video rendering through DirectX (VMR-9).
    - First steps towards a D3D shader compiler.
    - Build fixes for DragonFly BSD.
    - Various bug fixes.
  * Correct maintainer and vcs fields (closes: #677317)
  * Make libwine-ldap and libwine-openal recommended

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 13 Jun 2012 14:18:30 -0400

wine-unstable (1.5.5-1) unstable; urgency=low

  * New upstream release 1.5.5, released May 25, 2012.
    - Support for installing Mono as a Wine add-on package.
    - Dithering of pattern brushes in the DIB engine.
    - Support for installing the .NET 4.0 runtime.
    - DDS files supported in D3DX9.
    - Various bug fixes.
  * Handle removal of the fnt2bdf and wine-font-convert tools

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 12 Jun 2012 21:28:29 -0400

wine-unstable (1.5.4-1) unstable; urgency=low

  * New upstream release 1.5.4, released May 11, 2012.
    - A new DirectSound resampler.
    - A Negotiate authentication provider.
    - OpenGL support in the DIB engine.
    - Beginnings of support for .NET mixed assemblies.
    - Support routines for Internationalized Domain Names.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 12 Jun 2012 21:12:35 -0400

wine-unstable (1.5.3-1) unstable; urgency=low

  * New upstream release 1.5.3, released Apr 27, 2012.
    - Support for graphics bounds tracking.
    - A number of fixes to the builtin Internet Explorer.
    - Support for displaying ARM code in the Wine debugger.
    - Various DirectMusic improvements.
    - Better namespace support in MSXML.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 12 Jun 2012 21:05:55 -0400

wine-unstable (1.5.2-1) unstable; urgency=low

  * New upstream release 1.5.2, released Apr 13, 2012.
   - Improved naming scheme for audio devices.
   - Better support for finding system fonts on Mac OS X.
   - Beginnings of support for JPEG encoding.
   - Several printing fixes.
   - Improvements to the URL cache.
   - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 12 Jun 2012 20:39:25 -0400

wine-unstable (1.5.1-1) unstable; urgency=low

  [ Michael Gilbert ]
  * New upstream release 1.5.1, released Mar 30, 2012.
    - Built-in JavaScript now preferred over Gecko in most cases.
    - Support for scalable font resources.
    - Fixes for audio and video playback.
    - Support for script decoding in JScript.
    - Various bug fixes.
  * Set --git-ignore-branch in build scripts
  * Don't set wine as 'Multi-Arch: allowed' (closes: #676498)
  * Ship a wine64-bin helper package

  [ Hilko Bengen ]
  * Remove libusb dependency
  * Include localized manpages

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 12 Jun 2012 18:08:15 -0400

wine-unstable (1.5.0-1) unstable; urgency=low

  * New upstream release 1.5.0, released Mar 16, 2012 (closes: 674619)
    - New version of the Gecko engine.
    - Partial support for using the Trash on Mac OS X.
    - Support for path gradients in GdiPlus.
    - Various MSXML improvements.
    - Fixes to 64-bit exception handling.
    - Various bug fixes.
  * Switch to wine-unstable branch
  * Provide wine-gecko 1.5 symlink
  * Successfully Builds on kfreebsd (closes: 673774)
  * Eliminate winecreateprefix references (closes: #677077)
  * Simplify control file handling
  * Remove a couple manpages that are automaticaly handled
  * Update git import scripts

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 11 Jun 2012 15:15:36 -0400

wine (1.4-6) unstable; urgency=low

  * Eliminate additional hal references (closes: #613186)

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 Jun 2012 00:53:35 -0400

wine (1.4-5) unstable; urgency=low

  * Exclude lintian overrides and achitecture-specific font files
    (closes: #676443)
  * Replace wine-bin < 1.4-4 (closes: #676598)

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 08 Jun 2012 18:26:11 -0400

wine (1.4-4) unstable; urgency=low

  * Fix manpage alternatives (closes: #676320)
  * Make multiarch wine binnmu safe (closes: #676457)
  * Install additional wine exe files
  * Install upstream manpages where available

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 07 Jun 2012 15:53:06 -0400

wine (1.4-3) unstable; urgency=low

  * Fix prelink build dependency

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 05 Jun 2012 20:12:53 -0400

wine (1.4-2) unstable; urgency=low

  * Fix hurd/kfreebsd build dependencies

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 05 Jun 2012 19:20:50 -0400

wine (1.4-1) unstable; urgency=low

  * Team upload to unstable
    - include myself as a new uploader
  * Add misc:Depends to dependencies (closes: #637650)

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 05 Jun 2012 15:44:39 -0400

wine (1.4-0.4) experimental; urgency=low

  * Non-maintainer upload.
  * Enable multiarch (closes: #670531).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 25 May 2012 19:37:06 -0400

wine (1.4-0.3) experimental; urgency=low

  * non-maintainer upload
  * fix wine-gecko symlink

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 22 May 2012 01:08:10 -0400


