=== debian/control ===
Source: wine-unstable
Section: otherosfs
Priority: optional
Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
Uploaders:
 Ove Kaaven <ovek@arcticnet.no>,
 Arthur Loiret <arthur.loiret@gmail.com>,
 Michael Gilbert <mgilbert@debian.org>,
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.0), flex, bison,
 libx11-dev | xlibs-dev (<< 4.3), libxext-dev | xlibs-dev (<< 4.3),
 libxi-dev | xlibs-dev (<< 4.3), libxrandr-dev | xlibs-dev (<< 4.3),
 libxrender-dev | xlibs-dev (<< 4.3), libxt-dev | xlibs-dev (<< 4.3),
 libxkbfile-dev | xlibs-static-dev (<< 6) | xlibs-dev (<< 4.3),
 libxxf86dga-dev | xlibs-static-dev (<< 6) | xlibs-dev (<< 4.3),
 libxxf86vm-dev | xlibs-static-dev (<< 6) | xlibs-dev (<< 4.3),
 libxinerama-dev | xlibs-static-dev (<< 6) | xlibs-dev (<< 4.3),
 libxcomposite-dev | xlibs-static-dev (<< 6) | xlibs-dev (<< 4.3),
 libgl1-mesa-dev | xlibmesa-gl-dev | xlibmesa-dev (<< 4.3) | libgl-dev,
 libglu1-mesa-dev | libglu1-xorg-dev | xlibmesa-glu-dev | xlibmesa-dev (<= 4.2.1-4) | libglu-dev,
 freeglut3-dev | libglut-dev | glutg3-dev, libxmu-dev | xlibs-dev (<< 4.3),
 libxcursor-dev | xlibs-dev (<< 4.3), libncurses5-dev, libcups2-dev | libcupsys2-dev,
 libjpeg8-dev | libjpeg62-dev | libjpeg-dev, libpng-dev | libpng3-dev | libpng12-dev,
 libfreetype6-dev, libfontconfig1-dev, libopenal-dev,
 libasound2-dev, oss4-dev,
 libsane-dev, libgsm1-dev, libmpg123-dev,
 libcapi20-dev (>= 1:3.3.0.20041024-2) [linux-any],
 libdbus-1-dev | dbus-1-dev, libgphoto2-2-dev, liblcms1-dev, libldap2-dev,
 libssl-dev, libgnutls-dev, libxml2-dev, libxslt1-dev, unixodbc-dev, prelink [linux-any],
 dctrl-tools | grep-dctrl, lzma, sharutils,
 gcc (>= 4.4),
Standards-Version: 3.9.2
Homepage: http://www.winehq.org/
Vcs-Browser: http://git.debian.org/?p=pkg-wine/wine.git
Vcs-Git: git://git.debian.org/git/pkg-wine/wine.git

Package: wine-unstable
Architecture: any
Depends:
 ${misc:Depends},
 wine-bin-unstable (>= ${source:Version}) | wine64-bin,
Suggests: wine-doc, binfmt-support, ttf-mscorefonts-installer, winbind, avscan | klamav | clamav
Description: Windows API implementation - standard suite
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This is a virtual package that depends on the standard Wine components.

Package: wine-bin-unstable
Architecture: any-i386 any-powerpc any-sparc
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libwine-bin-unstable (= ${binary:Version}),
 x11-utils | xbase-clients (>= 4.0) | xcontrib,
 libwine-gecko-1.4
Suggests:
 libwine-print-unstable,
 libwine-gl-unstable
Conflicts:
 binfmt-support (<< 1.1.2),
 wine64-bin,
Replaces:
 libwine-unstable (<< 0.0.20010216),
 wine-utils-unstable (<< 1.1.25-1),
 wine-unstable (<< 0.9.35),
 wine-gecko-1.0.0
Description: Windows API implementation - binary loader
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package provides the binary loader program for running Windows
 executables.

Package: libwine-dbg-unstable
Architecture: any-i386 any-powerpc any-sparc
Multi-Arch: same
Section: debug
Priority: extra
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libwine-unstable (= ${binary:Version}),
Description: Windows API implementation - debugging symbols
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package provides debugging symbols.

Package: libwine-dev-unstable
Architecture: any-i386 any-powerpc any-sparc
Section: libdevel
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libwine-unstable (= ${binary:Version}),
 libc6-dev,
Replaces:
 libwine-unstable (<< 0.0.20010216),
 wine-utils-unstable (<< 1.1.25-1),
Suggests:
 wine-doc,
Description: Windows API implementation - development files
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package provides the C header files.

Package: libwine-unstable
Section: libs
Architecture: any-i386 any-powerpc any-sparc
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${wine-unstable:Depends},
 ${shlibs:Depends},
Recommends:
 ${shlibs:Recommends},
 ttf-liberation,
 libwine-gl-unstable (= ${binary:Version}),
 libwine-ldap-unstable (= ${binary:Version}),
 libwine-openal-unstable (= ${binary:Version}),
 libwine-alsa-unstable (= ${binary:Version}) | libwine-oss-unstable (= ${binary:Version}),
Suggests:
 wine-doc,
 libwine-cms-unstable (= ${binary:Version}),
 libwine-sane-unstable (= ${binary:Version}),
 libwine-print-unstable (= ${binary:Version}),
 libwine-gphoto2-unstable (= ${binary:Version}),
Pre-Depends:
 ${wine-unstable:Pre-Depends}
Replaces:
 wine-unstable (<< 0.9.11-1),
 libwine-twain-unstable (<< 0.9.13),
 libwine-gl-unstable (<< 0.9.53-1),
Description: Windows API implementation - library
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package provides the library that implements the Windows API.

Package: libwine-alsa-unstable
Section: libs
Architecture: any-i386 any-powerpc any-sparc
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Windows API implementation - ALSA sound module
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package contains an ALSA sound driver.

Package: libwine-bin-unstable
Section: libs
Architecture: any-i386 any-powerpc any-sparc
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 wine-bin-unstable (<< 1.4-4),
 wine-utils-unstable (<< 1.1.25-1),
Description: Windows API implementation - system services
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package provides system services and utilities needed to use many
 Windows applications.

Package: libwine-capi-unstable
Section: libs
Priority: extra
Architecture: i386 powerpc sparc
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Windows API implementation - ISDN module
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package contains a CAPI interface that allows Windows applications
 to communicate with ISDN cards supported by capi4linux.

Package: libwine-cms-unstable
Section: libs
Architecture: any-i386 any-powerpc any-sparc
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 libwine-unstable (<< 0.0.20050830),
Description: Windows API implementation - color management module
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package contains a Color Management System implementation that
 lets Windows applications calibrate the colors used for display and print.

Package: libwine-gl-unstable
Section: libs
Architecture: any-i386 any-powerpc any-sparc
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 libwine-unstable (<< 0.9.56),
Description: Windows API implementation - OpenGL module
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package contains the OpenGL and Direct3D modules that allow
 Windows applications to use 3D acceleration.

Package: libwine-gphoto2-unstable
Section: libs
Architecture: any-i386 any-powerpc any-sparc
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Windows API implementation - camera module
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package contains a TWAIN interface that allows Windows applications
 to communicate with cameras supported by gphoto2.

Package: libwine-ldap-unstable
Section: libs
Architecture: any-i386 any-powerpc any-sparc
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Windows API implementation - LDAP module
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package contains a module that allows Windows applications to access
 LDAP directory services.

Package: libwine-openal-unstable
Section: libs
Architecture: any-i386 any-powerpc any-sparc
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Windows API implementation - OpenAL module
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package contains the OpenAL module, which allows Windows applications
 to use advanced 3D sound effects.

Package: libwine-oss-unstable
Section: libs
Architecture: any-i386 any-powerpc any-sparc
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 oss-compat,
Replaces:
 libwine-unstable (<< 0.9.35)
Description: Windows API implementation - OSS sound module
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package contains an OSS sound driver.

Package: libwine-print-unstable
Section: libs
Architecture: any-i386 any-powerpc any-sparc
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 cups-bsd | cupsys-bsd | lpr,
Replaces:
 libwine-unstable (<< 0.0.20020710),
Description: Windows API implementation - printing module
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package contains a CUPS-enabled spooler and a PostScript driver,
 allowing Windows applications to print.

Package: libwine-sane-unstable
Section: libs
Architecture: any-i386 any-powerpc any-sparc
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 libwine-twain-unstable (<< 0.9.13),
Description: Windows API implementation - scanner module
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package contains a TWAIN interface that allows Windows applications
 to communicate with scanners supported by SANE.
