=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
export SHELL=bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)

CONFIGOPTS = --with-x --disable-tests

DEB_HOST_GNU_CPU	?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEBIAN_VERSION := $(shell cat /etc/debian_version)
VERSION := $(lastword $(shell dpkg-parsechangelog|grep "^Version: "))

VERSUFFIX=$(shell dpkg-parsechangelog | grep ^Source | cut -d\  -f2 | sed s/wine//g)

# Maybe make this conditional on debian version compiled for, for backports
# Can be set to:
#  "n": Install into traditional paths, /usr/lib and /usr/lib32
#  "p": Install into multiarch paths, /usr/lib/x86_64-linux-gnu and /usr/lib/i486-linux-gnu
#  "y": Full multiarch, build natively only
MULTIARCH=y

CC=gcc
LIBDIR=usr/lib/$(DEB_HOST_MULTIARCH)
LIBDIRS=$(LIBDIR)

IA32_CC := $(CC)
IA32_CFLAGS := $(CFLAGS)
IA32_LDFLAGS := $(LDFLAGS)
IA32_CPPFLAGS := $(CPPFLAGS)
IA32_LIBDIR := $(LIBDIR)

# Win64 version requires gcc >= 4.4
AMD64_CC := $(CC)
AMD64_CFLAGS := $(CFLAGS)
AMD64_LDFLAGS := $(LDFLAGS)
AMD64_CPPFLAGS := $(CPPFLAGS)
AMD64_LIBDIR := $(LIBDIR)

ifeq ($(DEB_HOST_GNU_CPU),x86_64)

IA32_LIBS := /emul/ia32-linux
IA32_LDFLAGS += -L$(CURDIR)/lib32
ifneq (n,$(MULTIARCH))
IA32_LIBDIR := usr/lib/$(DEB_HOST_MULTIARCH)
else
IA32_LIBDIR := usr/lib32
IA32_LIBDIR_LINK := $(shell readlink /$(IA32_LIBDIR))
ifneq (,$(IA32_LIBDIR_LINK))
IA32_LIBDIR := $(patsubst /%,%,$(IA32_LIBDIR_LINK))
endif
endif

ifeq (y,$(MULTIARCH))
# full multiarch, cannot build 32-bit Wine on amd64
BUILDS =
LIBDIRS =
#TRANSPREFIX = ia32-
#TRANSSUFFIX = $(VERSUFFIX)
else
BUILDS = build32
LIBDIRS = $(IA32_LIBDIR)
ifeq (usr/lib/i486-linux-gnu,$(IA32_LIBDIR))
# need ld.so support for multiarch path
LIBWINE_DEPS = libc6-i386 (>= 2.9-24)
endif
endif

else # !x86_64

BUILDS = build32

endif # x86_64

IA32_WINEDIR = $(IA32_LIBDIR)/wine$(VERSUFFIX)
IA32_OVERRIDES = LIBSUFFIX="$(VERSUFFIX)" DATASUFFIX="$(VERSUFFIX)" dlldir="/$(IA32_WINEDIR)"
AMD64_WINEDIR = $(AMD64_LIBDIR)/wine$(VERSUFFIX)
AMD64_OVERRIDES = LIBSUFFIX="$(VERSUFFIX)" DATASUFFIX="$(VERSUFFIX)" dlldir="/$(AMD64_WINEDIR)"

LOADERS = wine-kthread wine-pthread wine-preloader

empty:=
space:=$(empty) $(empty)

SHLIBS_OPTS = -Llibwine$(VERSUFFIX) -l$(subst $(space),:,$(patsubst %,$(CURDIR)/debian/libwine$(VERSUFFIX)/%,$(LIBDIRS)))

ifeq (,$(VERSUFFIX))
# Stable builds get priority 100 (plus 25 for 64-bit)
ALTPRIO32 := 100
ALTPRIO64 := 125
else
# Unstable builds get priority 50 (plus 25 for 64-bit)
ALTPRIO32 := 50
ALTPRIO64 := 75
endif

# prepare debian/control from debian/control.in
control-stamp: debian/control.in
	sed -e 's/\(wine[a-z0-9_-]*\)/\1$(VERSUFFIX)/g' \
	    -e 's/\(gecko[a-z0-9_-]*\)$(VERSUFFIX)/\1/' \
	    -e 's/pkg-wine$(VERSUFFIX)\/wine$(VERSUFFIX)\.git/pkg-wine\/wine.git/g' \
	    -e 's/pkg-wine-party$(VERSUFFIX)/pkg-wine-party/g' \
	    -e 's/wine64-bin$(VERSUFFIX)/wine64-bin/g' \
	    -e 's/winehq$(VERSUFFIX)/winehq/g' \
	    -e 's/wine-doc$(VERSUFFIX)/wine-doc/g' debian/control.in > debian/control
	touch control-stamp

configure-ia32: configure-ia32-stamp
configure-ia32-stamp: control-stamp
	dh_testdir
ifneq (,$(IA32_LIBS))
	mkdir lib32 || true
	bash debian/ia32.sh $(IA32_LIBS) lib32
endif
	touch configure-ia32-stamp

configure-arch32: configure-arch32-stamp
configure-arch32-stamp: configure-ia32-stamp control-stamp
	dh_testdir
ifeq (,$(DEB_SAVEBUILD))
	mkdir build32 || true
	cd build32 && \
	CC="$(IA32_CC)" \
	CFLAGS="$(IA32_CFLAGS)" \
	CPPFLAGS="$(IA32_CPPFLAGS)" \
	LDFLAGS="$(IA32_LDFLAGS)" \
	../configure --disable-win64 $(CONFIGOPTS) \
	--prefix=/usr \
	--sysconfdir=/etc \
	--bindir=/usr/bin \
	--libdir=/$(IA32_LIBDIR) \
	--mandir=/usr/share/man \
	--infodir=/usr/share/info
else
	mv /tmp/build32 .
endif

	touch configure-arch32-stamp

configure-arch64: configure-arch64-stamp
configure-arch64-stamp: configure-ia32-stamp control-stamp
	dh_testdir
ifeq (,$(DEB_SAVEBUILD))
	mkdir build64 || true
	cd build64 && \
	CC="$(AMD64_CC)" \
	CFLAGS="$(AMD64_CFLAGS)" \
	CPPFLAGS="$(AMD64_CPPFLAGS)" \
	LDFLAGS="$(AMD64_LDFLAGS)" \
	../configure --enable-win64 $(CONFIGOPTS) \
	--prefix=/usr \
	--sysconfdir=/etc \
	--bindir=/usr/bin \
	--libdir=/$(AMD64_LIBDIR) \
	--mandir=/usr/share/man \
	--infodir=/usr/share/info
else
	mv /tmp/build64 .
endif

	touch configure-arch64-stamp

build-indep: build-indep-stamp
build-indep-stamp: control-stamp
	dh_testdir

	touch build-indep-stamp

build-arch32: build-arch32-stamp
build-arch32-stamp: configure-arch32-stamp
	dh_testdir

ifeq (,$(DEB_SAVEBUILD))
	$(MAKE) -C build32 $(IA32_OVERRIDES) depend
	# build wine & tools
	$(MAKE) -C build32 $(IA32_OVERRIDES) $(BUILDOPTS)
endif

	touch build-arch32-stamp

build-arch64: build-arch64-stamp
build-arch64-stamp: configure-arch64-stamp
	dh_testdir

ifeq (,$(DEB_SAVEBUILD))
	$(MAKE) -C build64 $(AMD64_OVERRIDES) depend
	# build wine & tools
	$(MAKE) -C build64 $(AMD64_OVERRIDES) $(BUILDOPTS)
endif

	touch build-arch64-stamp

build-arch: $(patsubst build%,build-arch%,$(BUILDS))
build: build-indep build-arch

clean-arch32: control-stamp
	dh_testdir
	rm -f install-arch32-stamp build-arch32-stamp configure-arch32-stamp
#	-$(MAKE) -C build32 distclean
ifeq (,$(DEB_SAVEBUILD))
	rm -rf build32
else
	mv build32 /tmp || true
endif

clean-arch64: control-stamp
	dh_testdir
	rm -f install-arch64-stamp build-arch64-stamp configure-arch64-stamp
#	-$(MAKE) -C build64 distclean
ifeq (,$(DEB_SAVEBUILD))
	rm -rf build64
else
	mv build64 /tmp || true
endif

clean: clean-arch32 clean-arch64
	dh_testdir
	bash debian/clean-install.sh "$(VERSUFFIX)"
	rm -f install-arch-stamp build-indep-stamp configure-ia32-stamp control-stamp
	rm -rf lib32 debian/libwine$(VERSUFFIX)
	dh_clean
	# can't rm debian/control here because it'd break dpkg-buildpackage.

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_installdirs -i

install-arch32: install-arch32-stamp
install-arch32-stamp: build-arch32-stamp
	dh_testdir
	dh_testroot

	# install wine, libwine, fonts, and tools
	$(MAKE) -C build32 install $(IA32_OVERRIDES) DESTDIR=$(CURDIR)/debian/tmp
	# move the real binaries into /$(IA32_WINEDIR)
	mv debian/tmp/usr/bin/wine debian/tmp/$(IA32_WINEDIR)/wine.bin
	for ldr in $(LOADERS); do \
	 [ ! -f debian/tmp/usr/bin/$$ldr ] || \
	 mv debian/tmp/usr/bin/$$ldr debian/tmp/$(IA32_WINEDIR); \
	done
	mv debian/tmp/usr/bin/wineserver debian/tmp/$(IA32_WINEDIR)/wineserver
	# install manpages
	$(MAKE) -C build32/documentation install-man DESTDIR=$(CURDIR)/debian/tmp
	mv debian/tmp/usr/share/man/man3w debian/tmp/usr/share/man/man3
	rm -f debian/tmp/usr/bin/winelauncher
	sed "s,usr/lib/wine,$(IA32_WINEDIR)," debian/winelauncher > debian/tmp/usr/bin/wine

	bash debian/gen-alternatives.sh "$(VERSUFFIX)" 32 $(ALTPRIO32)

	touch install-arch32-stamp

# If building both 32-bit and 64-bit into the same packages, this will overwrite any 32-bit stuff
# outside /usr/lib with their 64-bit equivalents. This is intentional.
install-arch64: install-arch64-stamp
install-arch64-stamp: build-arch64-stamp $(patsubst build%,install-arch%-stamp,$(filter build32,$(BUILDS)))
	dh_testdir
	dh_testroot

	# install wine, libwine, fonts, and tools
	$(MAKE) -C build64 install $(AMD64_OVERRIDES) DESTDIR=$(CURDIR)/debian/tmp
	# move the real binaries into /$(AMD64_WINEDIR)
	mv debian/tmp/usr/bin/wine debian/tmp/$(AMD64_WINEDIR)/wine.bin
	mv debian/tmp/usr/bin/wineserver debian/tmp/$(AMD64_WINEDIR)/wineserver
	# install manpages
	$(MAKE) -C build64/documentation install-man DESTDIR=$(CURDIR)/debian/tmp
	mv debian/tmp/usr/share/man/man3w debian/tmp/usr/share/man/man3
