=== debian/watch ===
version=3
http://ibiblio.org/pub/linux/system/emulators/wine/wine-([\d].*)\.tar\.bz2 \
  debian debian/maint/import
