## wine-unstable 1.5.13

=== debian/changelog ===
wine-unstable (1.5.13-0+zlt1) unstable; urgency=low

  * Non-maintainer upload.
  * source format 3.0 (quilt)
  * wine-1.5.13
  * debian/rules: quick fix install by appending $VERSUFFIX to usr/share/wine
  * debian/watch: update

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Fri, 28 Sep 2012 08:49:46 +0400
