## wine-unstable 1.5.14

=== debian/changelog ===
wine-unstable (1.5.14-0+zlt1) unstable; urgency=low

  * Non-maintainer upload.
  * source format 3.0 (quilt)
  * wine-1.5.14
  * debian/rules: quick fix install by appending $VERSUFFIX to usr/share/wine
  * debian/watch: update

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Wed, 03 Oct 2012 17:11:04 +0400
