=== debian/watch ===
version=3
http://mirrors.ibiblio.org/wine/source/(\d\.\d)/ wine-([\d].*)\.tar\.bz2 \
  debian debian/maint/import
